Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class InsertRemoveLegendEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.edit.InsertRemoveLegendEdit

All Implemented Interfaces:
  javax.swing.undo.UndoableEdit

Direct Known Subclasses:
  InsertLegendEdit, RemoveLegendEdit

    public abstract class InsertRemoveLegendEdit

extends DocumentEdit

Field Summary
`private Node[]` | `anchor`
`private Legend` | `legend`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`InsertRemoveLegendEdit(Document document, Legend legend, Node anchor0, Node anchor1)`

Method Summary
`protected void` | `insert()`
`protected void` | `remove()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, redo, replaceEdit, undo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.undo.UndoableEdit
`getPresentationName`

Field Detail

### legend

    private Legend legend

### anchor

    private Node[] anchor

Constructor Detail

### InsertRemoveLegendEdit

    public InsertRemoveLegendEdit(Document document,
                                  Legend legend,
                                  Node anchor0,
                                  Node anchor1)

Method Detail

### insert

    protected void insert()

### remove

    protected void remove()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD